Bug 471307 - Last value queue [RHEL4]
Last value queue [RHEL4]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 452017
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 16:37 EST by Justin Ross
Modified: 2009-02-04 11:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:16:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-11-12 16:37:31 EST
+++ This bug was initially created as a clone of Bug #452017 +++

Based on some message property, new messages 'overwrite' any previous message
with the same value for that property.

--- Additional comment from sergei.vorobiev@tsx.com on 2008-06-19 10:38:26 EDT ---

LVQ has the same basic features as a regular queue (such as acquire modes,
transactional delivery, ability to cluster, transient vs durable etc) and some
special features, described below. Elements in the queue can be represented as
one-dimensional array, where for a given identifier /routing key?/ there is only
one message. When a new message with the same identifier arrives, it replaces a
previous message with the same identifier. Sequence of the messages in the queue
does not matter. If it was possible to retrieve a specific message from this
logical queue, based on its identifier without retrieving other queue messages,
it would be even better.

--- Additional comment from cctrieloff@redhat.com on 2008-10-08 15:36:44 EDT ---


details to use: 
http://cwiki.apache.org/qpid/cheat-sheet-for-configuring-queue-options.html
Comment 2 Frantisek Reznicek 2009-01-06 08:02:03 EST
Manually validated on RHEL 5.2 / 4.7, i386 / x86_64 on packages
qpidd-0.4.725652-2.el5 using bz452017 comment #4 example code.

->VERIFIED
Comment 4 errata-xmlrpc 2009-02-04 11:16:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0038.html

Note You need to log in before you can comment on or make changes to this bug.